List Catalogs

Returns Catalogs the signed-in caller can use from SUMR-owned defaults and the current account.

Operation IDlistPlaybookCatalogs
get/v3/playbook/catalogs
Example requestcURL
curl -X GET 'https://api.sumr.co/v3/playbook/catalogs' \
  -H 'Authorization: Bearer <token>'

Query parameters

sourceScope

Filter Catalogs by source ownership scope.

array
capability

Filter Catalogs by capability facet.

string · min length: 1 · max length: 80
page

Page number.

number · min: 1 · max: 9007199254740991
pageSize

Number of items per page.

number · min: 1 · max: 100

Body

This endpoint does not require a JSON request body.

Responses

200Catalogs returned.
PaginatedPlaybookCatalogsDto
{
  "properties": {
    "data": {
      "items": {
        "properties": {
          "archivedAt": {
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
            "type": "string"
          },
          "createdAt": {
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
            "type": "string"
          },
          "currentVersion": {
            "properties": {
              "id": {
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                "type": "string"
              },
              "manifestHash": {
                "maxLength": 128,
                "minLength": 32,
                "type": "string"
              },
              "publishedAt": {
                "format": "date-time",
                "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                "type": "string"
              },
              "resourceCount": {
                "maximum": 9007199254740991,
                "minimum": 0,
                "type": "integer"
              },
              "resourcePins": {
                "items": {
                  "properties": {
                    "contentHash": {
                      "maxLength": 128,
                      "minLength": 32,
                      "type": "string"
                    },
                    "resourceHumanRef": {
                      "maxLength": 260,
                      "minLength": 5,
                      "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
                      "type": "string"
                    },
                    "resourceId": {
                      "format": "uuid",
                      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                      "type": "string"
                    },
                    "resourceVersionId": {
                      "format": "uuid",
                      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
                      "type": "string"
                    },
                    "version": {
                      "maxLength": 80,
                      "minLength": 1,
                      "type": "string"
                    }
                  },
                  "required": [
                    "resourceId",
                    "resourceHumanRef",
                    "resourceVersionId",
                    "version",
                    "contentHash"
                  ],
                  "type": "object"
                },
                "type": "array"
              },
              "version": {
                "maxLength": 80,
                "minLength": 1,
                "type": "string"
              }
            },
            "required": [
              "id",
              "version",
              "resourcePins",
              "manifestHash",
              "resourceCount"
            ],
            "type": "object"
          },
          "description": {
            "maxLength": 1000,
            "type": "string"
          },
          "facets": {
            "properties": {
              "capability": {
                "items": {
                  "maxLength": 80,
                  "minLength": 1,
                  "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                  "type": "string"
                },
                "type": "array"
              },
              "channel": {
                "items": {
                  "maxLength": 80,
                  "minLength": 1,
                  "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                  "type": "string"
                },
                "type": "array"
              },
              "framework": {
                "items": {
                  "maxLength": 80,
                  "minLength": 1,
                  "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                  "type": "string"
                },
                "type": "array"
              },
              "planAccess": {
                "items": {
                  "maxLength": 80,
                  "minLength": 1,
                  "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                  "type": "string"
                },
                "type": "array"
              },
              "technology": {
                "items": {
                  "maxLength": 80,
                  "minLength": 1,
                  "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
                  "type": "string"
                },
                "type": "array"
              }
            },
            "type": "object"
          },
          "humanRef": {
            "maxLength": 180,
            "minLength": 3,
            "pattern": "^(sumr|org)\\/[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "id": {
            "format": "uuid",
            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$",
            "type": "string"
          },
          "name": {
            "maxLength": 160,
            "minLength": 1,
            "type": "string"
          },
          "owner": {
            "enum": [
              "sumr",
              "org"
            ],
            "type": "string"
          },
          "slug": {
            "maxLength": 120,
            "minLength": 1,
            "pattern": "^[a-z0-9]+(?:-[a-z0-9]+)*$",
            "type": "string"
          },
          "sourceScope": {
            "enum": [
              "sumr",
              "account"
            ],
            "type": "string"
          },
          "status": {
            "enum": [
              "draft",
              "active",
              "archived"
            ],
            "type": "string"
          },
          "updatedAt": {
            "format": "date-time",
            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
            "type": "string"
          }
        },
        "required": [
          "id",
          "sourceScope",
          "owner",
          "slug",
          "humanRef",
          "name",
          "status",
          "createdAt",
          "updatedAt"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "meta": {
      "properties": {
        "page": {
          "maximum": 9007199254740991,
          "minimum": 1,
          "type": "integer"
        },
        "pageCount": {
          "maximum": 9007199254740991,
          "minimum": 0,
          "type": "integer"
        },
        "pageSize": {
          "maximum": 9007199254740991,
          "minimum": 1,
          "type": "integer"
        },
        "total": {
          "maximum": 9007199254740991,
          "minimum": 0,
          "type": "integer"
        }
      },
      "required": [
        "page",
        "pageSize",
        "pageCount",
        "total"
      ],
      "type": "object"
    }
  },
  "required": [
    "data",
    "meta"
  ],
  "type": "object"
}